<script type="text/javascript">
$(document).ready(function(){	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');		
		$("#txt_caribr").val('');	
		cari_tgl();		
	});
		
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		$.ajax({
			type	: "POST",
			url		: "modul/brg_rusak/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);	
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/brg_rusak/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/brg_rusak/tampil_data_detail.php?kode="+kode);
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
	
	$('#form_cari_kode').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#cari_kode').click(function(){
		$('#form_cari_kode').dialog('open');		
		no=1
		
		$.ajax({
			type	: "POST",
			url		: "modul/brg_rusak/tampil_data_kb.php",
			data	: "no="+no,
			timeout	: 3000,
			beforeSend	: function(){
				$("#info_kode").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){				
				$("#info_kode").html(data);
				tampil_data_detail();
			}
		});
	});
	
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namast').keyup(function(){
		$('#form_cari_barang').dialog('open');
		$("#info_barang").load('modul/brg_rusak/tampil_data_barang.php');
		$("#txt_caribr").focus();
		return false;
	});
	
	$("#txt_caribr").keyup(function(){
		$("#info_barang").show();
		var cari 	= $("#txt_caribr").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/brg_rusak/tampil_data_barang.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_barang").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_barang").html(data);
			}
		});
	});
		
	$("#txt_jmlunit").keyup(function(){		
		var jmlunit	= $("#txt_jmlunit").val();
		var	hgpokok = $("#txt_hgpokok").val();
		var nilai	= parseFloat(jmlunit)*parseFloat(hgpokok);		
		
		$("#txt_nilaikr").val(nilai);
	});
	
	$("#simpan").click(function(){
		simpan_data();		
	});
		
	function simpan_data(){
		var	kode	= $("#txt_kode").val();		
		var	tanggal	= $("#txt_tanggal").val();		
		var	nourut	= $("#txt_nourut").val();
		var	kodest	= $("#txt_kodest").val();
		var	namast	= $("#txt_namast").val();
		var	satuan	= $("#txt_satuan").val();
		var	jmlunit	= $("#txt_jmlunit").val();
		var	hgpokok	= $("#txt_hgpokok").val();
		var	nilaikr	= $("#txt_nilaikr").val();
		var	ket    	= $("#txt_ket").val();
		
		var error = false;
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal opname tidak boleh kosong.");
		   return (false);
        }
		
		if(kode.length == 0){
           var error = true;
           alert("Maaf, Kode kerusakan masih kosong, klik Input Kerusakan untuk buat nomor baru.");
		   return (false);
        }
				
		if(kodest.length == 0){
           var error = true;
           alert("Maaf, Kode Barang tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
        }
		
		if(jmlunit.length == 0){
			var error = true;
			alert("Maaf, Jumlah kerusakan belum diisi.");
			$("#txt_jmlunit").focus();
			return (false);
        }
		 
		if(ket.length == 0){
			var error = true;
			alert("Maaf, kolom Keterangan tidak boleh kosong.");
			$("#txt_ket").focus();
			return (false);
        }
		  
		if(error == false){
		
		$.ajax({
			type	: "POST",
			url		: "modul/brg_rusak/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&hgpokok="+hgpokok+
					"&jmlunit="+jmlunit+
					"&nilaikr="+nilaikr+
					"&ket="+ket,
								
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_namast").focus();
				cek_nourut();
				tampil_data_detail();
			}
		});
		}
	}
		
	$("#tutup").click(function(){
		var	total= $("#txt_total").val();		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
.input_detail readonly {
	background:#666;
}
</style>

<?php
include '../../inc/fungsi_tanggal.php';

echo "<table width='100%'>	
	<tr>
		<td>Kode Kerusakan : <input type='text' name='txt_kode' id='txt_kode' size='9' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari Kode Kerusakan' id='cari_kode'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' ></td>
	</tr>
	</table>
	<hr>";

echo "<table width='100%' align='center'>
		<tr>
			<th>Nama Barang</th>
			<th>Kode</th>			
			<th>Satuan</th>
			<th>Harga Pokok</th>
			<th>Jumlah Kerusakan</th>
			<th>Nilai Kerusakan</th>
			<th>Keterangan</th>			
		<tr>
		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' class='input_detail' hidden/>
			<td align='center'><input type='text' name='txt_namast' id='txt_namast' class='input_detail' size='22'></td>
			<td align='center'><input type='text' name='txt_kodest' id='txt_kodest' class='input_detail' size='6' readonly /></td>			
			<td align='center'><input type='text' name='txt_satuan' id='txt_satuan' class='input_detail' size='8' readonly /></td>
			<td align='center'><input type='text' name='txt_hgpokok' id='txt_hgpokok' class='input_detail' size='8' readonly /></td>
			<td align='center'><input type='text' name='txt_jmlunit' id='txt_jmlunit' class='input_detail' size='7' ></td>
			<td align='center'><input type='text' name='txt_nilaikr' id='txt_nilaikr' class='input_detail' size='9' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='25'></td>			
		</tr>
		<tr>
			<td colspan='12' align='center'>
				<button name='simpan' id='simpan'>Rekam</button></td>
			</td>
		</tr>
	</table>
	<hr>";

echo "<div id='form_cari_kode' title='Pencarian Kode Kerusakan'>		
		<div id='info_kode' align='center'></div>
	</div>";


echo "<div id='data_detail'></div>";
	
echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td>Cari barang : <input type='text' name='txt_caribr' id='txt_caribr' size='40'</td>
			</tr>
		</table>
		<div id='info_barang' align='center'></div>
	</div>";

echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
			<button name='mulai' id='mulai'>Input Kerusakan</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>";
?>